<?php

class Custom_EmailQueue_Adminhtml_EmailQueueController extends Mage_Adminhtml_Controller_Action
{
    public function indexAction()
    {
        $this->_title($this->__('Email Queue'));
        $this->loadLayout();
        $this->_addContent($this->getLayout()->createBlock('custom_emailqueue/adminhtml_email_container'));
        $this->renderLayout();
    }

    public function gridAction()
    {
        $this->loadLayout();
        $this->getResponse()->setBody(
            $this->getLayout()->createBlock('custom_emailqueue/adminhtml_email_container_grid')->toHtml()
        );
    }

    public function exportEmailQueueCsvAction()
    {
        $fileName = 'email_queue.csv';
        $grid = $this->getLayout()->createBlock('custom_emailqueue/adminhtml_email_container_grid');
        $this->_prepareDownloadResponse($fileName, $grid->getCsvFile());
    }

    public function exportEmailQueueExcelAction()
    {
        $fileName = 'email_queue.xml';
        $grid = $this->getLayout()->createBlock('custom_emailqueue/adminhtml_email_container_grid');
        $this->_prepareDownloadResponse($fileName, $grid->getExcelFile($fileName));
    }
}